function f = f(x)
  x_1 = x(1);
  x_2 = x(2);
  x_3 = x(3);
  x_4 = x(4);
  x_5 = x(5);

  ## Qing
  f = ...
  (x_1 ** 2 - 1) ** 2 + ...
  (x_2 ** 2 - 2) ** 2 + ...
  (x_3 ** 2 - 3) ** 2 + ...
  (x_4 ** 2 - 4) ** 2 + ...
  (x_5 ** 2 - 5) ** 2;

endfunction
